# Maven Gradle Repo Guide

- Apache Maven
```xml

<repositories>
    <repository>
        <id>CUBETIQ Directory</id>
        <url>https://nexus.kh.cubetiqs.com/repository/maven/</url>
        <snapshots>
            <enabled>false</enabled>
        </snapshots>
    </repository>

    <repository>
        <id>CUBETIQ Directory Snapshots</id>
        <url>https://nexus.kh.cubetiqs.com/repository/maven-snapshots/</url>
        <snapshots>
            <enabled>true</enabled>
        </snapshots>
    </repository>
</repositories>

```

- Gradle Groovy DSL
```groovy
repositories {
    maven { url "https://nexus.kh.cubetiqs.com/repository/maven/" }
    maven { url "https://nexus.kh.cubetiqs.com/repository/maven-snapshots/" }
}
```

- Gradle Kotlin DSL
```kotlin
repositories {
    maven("https://nexus.kh.cubetiqs.com/repository/maven/")
    maven("https://nexus.kh.cubetiqs.com/repository/maven-snapshots/")
}
 ```